summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBruno Randolf <br1@subnet.at>2004-10-01 16:22:55 +0000
committerBruno Randolf <br1@subnet.at>2004-10-01 16:22:55 +0000
commit4c1c43c4c107e0770be7ddb18378aacadc578717 (patch)
tree9d17d482954601ffa67cec64c7fa48323bbbcb22
parent903d65b2f67a60eb01420bce896fdbcc1dc6318c (diff)
Merge bk://openembedded@openembedded.bkbits.net/packages
into null.(none):/data/mtx/oe/oe.write/packages 2004/10/01 18:20:45+02:00 (none)!br1 linux-libc-headers: a better fix for mipsel include problems 2004/10/01 18:18:25+02:00 (none)!br1 mtx-1 and nylon updates 2004/10/01 18:14:35+02:00 (none)!br1 some initscripts fixes BKrev: 415d845fhRK74UgeJN_R5X4UKLTUKQ
-rw-r--r--base-files/base-files/mtx-1/fstab (renamed from linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-addrspace-spaces.diff)0
-rw-r--r--base-files/base-files/nylon/issue (renamed from linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-system-linkage.diff)0
-rw-r--r--base-files/base-files/nylon/issue.net (renamed from modutils/files/mtx-1/modules.conf)0
-rw-r--r--conf/mtx-1.conf18
-rw-r--r--conf/nylon.conf10
-rw-r--r--initscripts/initscripts-1.0/umountnfs.sh28
-rw-r--r--linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-atomic-system.diff0
-rw-r--r--linux-libc-headers/linux-libc-headers_2.6.8.1.oe55
-rw-r--r--meta/nylon-image-base.oe15
-rw-r--r--modutils/files/modutils.sh5
-rw-r--r--openssh/files/init88
-rw-r--r--openssh/openssh_3.8p1.oe2
12 files changed, 206 insertions, 15 deletions
diff --git a/linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-addrspace-spaces.diff b/base-files/base-files/mtx-1/fstab
index e69de29bb2..e69de29bb2 100644
--- a/linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-addrspace-spaces.diff
+++ b/base-files/base-files/mtx-1/fstab
diff --git a/linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-system-linkage.diff b/base-files/base-files/nylon/issue
index e69de29bb2..e69de29bb2 100644
--- a/linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-system-linkage.diff
+++ b/base-files/base-files/nylon/issue
diff --git a/modutils/files/mtx-1/modules.conf b/base-files/base-files/nylon/issue.net
index e69de29bb2..e69de29bb2 100644
--- a/modutils/files/mtx-1/modules.conf
+++ b/base-files/base-files/nylon/issue.net
diff --git a/conf/mtx-1.conf b/conf/mtx-1.conf
index e69de29bb2..6b11df78da 100644
--- a/conf/mtx-1.conf
+++ b/conf/mtx-1.conf
@@ -0,0 +1,18 @@
+#@TYPE: Machine
+#@NAME: 4G Systems mtx-1
+#@DESCRIPTION: Machine configuration for the mtx-1 (aka MeshCube)
+
+TARGET_ARCH = "mipsel"
+IPKG_ARCHS = "all mipsel ${MACHINE}"
+
+PREFERRED_PROVIDER_virtual/kernel = "linux-mtx-1"
+CVSDATE_linux-mtx-1 = "20040927"
+
+EXTRA_IMAGECMD_jffs2 = "--pad=0x1c00000 --little-endian --eraseblock=0x20000 -n"
+
+# does not gain any speed and just creates problems:
+# TARGET_CC_ARCH = "-march=mips32"
+
+USE_DEVFS = "1"
+USE_VT = "0"
+SERIAL_CONSOLE = "115200 tts/0 vt100" \ No newline at end of file
diff --git a/conf/nylon.conf b/conf/nylon.conf
index 2d197db225..2e50fc37fd 100644
--- a/conf/nylon.conf
+++ b/conf/nylon.conf
@@ -29,13 +29,3 @@ PREFERRED_VERSION_gcc = "3.3.4"
PREFERRED_VERSION_binutils-cross = "2.14.90.0.7"
PREFERRED_VERSION_binutils-cross-sdk = "2.14.90.0.7"
PREFERRED_VERSION_binutils = "2.14.90.0.7"
-
-BOOTSTRAP_EXTRA_RDEPENDS = "${@linux_module_packages('${NYLON_MODULES}')}"
-
-NYLON_MODULES = \
-ipv6 \
-ipsec \
-tun \
-af_packet \
-ppp-async ppp-deflate ppp-generic slhc \
-ip-gre ip-tables ipip \ No newline at end of file
diff --git a/initscripts/initscripts-1.0/umountnfs.sh b/initscripts/initscripts-1.0/umountnfs.sh
index e69de29bb2..f5fe48aa74 100644
--- a/initscripts/initscripts-1.0/umountnfs.sh
+++ b/initscripts/initscripts-1.0/umountnfs.sh
@@ -0,0 +1,28 @@
+#! /bin/sh
+#
+# umountnfs.sh Unmount all network filesystems.
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+# Write a reboot record to /var/log/wtmp before unmounting
+halt -w
+
+echo "Unmounting remote filesystems..."
+
+test -f /etc/fstab && (
+
+#
+# Read through fstab line by line and unount network file systems
+#
+while read device mountpt fstype options
+do
+ if test "$fstype" = nfs || test "$fstype" = smbfs || test "$fstype" = ncpfs
+ then
+ umount -f $mountpt
+ fi
+done
+) < /etc/fstab
+
+: exit 0
+
diff --git a/linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-atomic-system.diff b/linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-atomic-system.diff
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/linux-libc-headers/linux-libc-headers-2.6.8.1/mips-asm-atomic-system.diff
diff --git a/linux-libc-headers/linux-libc-headers_2.6.8.1.oe b/linux-libc-headers/linux-libc-headers_2.6.8.1.oe
index e69de29bb2..9cfb7ce699 100644
--- a/linux-libc-headers/linux-libc-headers_2.6.8.1.oe
+++ b/linux-libc-headers/linux-libc-headers_2.6.8.1.oe
@@ -0,0 +1,55 @@
+DESCRIPTION = "Sanitized set of 2.6 kernel headers for the C library's use."
+MAINTAINER = "Chris Larson <kergoth@handhelds.org>"
+INHIBIT_DEFAULT_DEPS = "1"
+PR = "r3"
+
+# NOTE: no need to package these headers, since the c library includes them.
+PACKAGES = ""
+
+SRC_URI = "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-${PV}.tar.bz2 \
+ file://mips-asm-atomic-system.diff;patch=1;pnum=0"
+
+S = "${WORKDIR}/linux-libc-headers-${PV}"
+
+do_configure () {
+ case ${TARGET_ARCH} in
+ alpha*) ARCH=alpha ;;
+ arm*) ARCH=arm ;;
+ cris*) ARCH=cris ;;
+ hppa*) ARCH=parisc ;;
+ i*86*) ARCH=i386 ;;
+ ia64*) ARCH=ia64 ;;
+ mips*) ARCH=mips ;;
+ m68k*) ARCH=m68k ;;
+ powerpc*) ARCH=ppc ;;
+ s390*) ARCH=s390 ;;
+ sh*) ARCH=sh ;;
+ sparc64*) ARCH=sparc64 ;;
+ sparc*) ARCH=sparc ;;
+ x86_64*) ARCH=x86_64 ;;
+ esac
+ if test ! -e include/asm-$ARCH; then
+ oefatal unable to create asm symlink in kernel headers
+ fi
+ cp -a "include/asm-$ARCH" "include/asm"
+ if test "$ARCH" = "arm"; then
+ cp -a include/asm/arch-ebsa285 include/asm/arch
+ elif test "$ARCH" = "sh"; then
+ cp -a include/asm/cpu-${TARGET_ARCH} include/asm/cpu || die "unable to create include/asm/cpu"
+ fi
+}
+
+do_stage () {
+ install -d ${STAGING_INCDIR}
+ rm -rf ${STAGING_INCDIR}/linux ${STAGING_INCDIR}/asm
+ cp -pfLR include/linux ${STAGING_INCDIR}/
+ cp -pfLR include/asm ${STAGING_INCDIR}/
+ rm -rf ${CROSS_DIR}/${TARGET_SYS}/include/linux
+ rm -rf ${CROSS_DIR}/${TARGET_SYS}/include/asm
+ install -d ${CROSS_DIR}/${TARGET_SYS}/include
+ cp -pfLR include/linux ${CROSS_DIR}/${TARGET_SYS}/include/
+ cp -pfLR include/asm ${CROSS_DIR}/${TARGET_SYS}/include/
+
+ ln -sf ${STAGING_KERNEL_DIR}/include/linux/wireless.h ${STAGING_INCDIR}/linux/wireless.h
+ ln -sf ${STAGING_KERNEL_DIR}/include/linux/wireless.h ${CROSS_DIR}/${TARGET_SYS}/include/linux/wireless.h
+}
diff --git a/meta/nylon-image-base.oe b/meta/nylon-image-base.oe
index ec1a206b25..fd1f3ec4b9 100644
--- a/meta/nylon-image-base.oe
+++ b/meta/nylon-image-base.oe
@@ -1,14 +1,21 @@
export IMAGE_BASENAME = "nylon-base"
NYLON_COMMON = "base-files base-passwd bash busybox \
- ipkg initscripts iproute2 modutils modutils-collateral modutils-initscripts \
- netbase openssh sysvinit tinylogin"
-
+ ipkg initscripts iproute2 \
+ modutils modutils-depmod modutils-initscripts modutils-modinfo \
+ netbase openssh sysvinit tinylogin kernel-module-ipsec"
+
+#update-modules
+
DEPENDS = "virtual/kernel ${NYLON_COMMON} \
${BOOTSTRAP_EXTRA_DEPENDS}"
-RDEPENDS = "kernel ${NYLON_COMMON} ${BOOTSTRAP_EXTRA_RDEPENDS}"
+RDEPENDS = "kernel ${NYLON_COMMON} ${BOOTSTRAP_EXTRA_RDEPENDS} kernel-module-tun"
export IPKG_INSTALL = "${RDEPENDS}"
+IMAGE_LINGUAS = ""
+
inherit image_ipk
+
+ROOTFS_POSTPROCESS_COMMAND = "rm ${IMAGE_ROOTFS}/boot/zImage*" \ No newline at end of file
diff --git a/modutils/files/modutils.sh b/modutils/files/modutils.sh
index a89d8e4141..827a88df41 100644
--- a/modutils/files/modutils.sh
+++ b/modutils/files/modutils.sh
@@ -1,5 +1,8 @@
+#!/bin/sh
+
[ -f /proc/modules ] || exit 0
[ -e /sbin/depmod ] || exit 0
+[ -f /etc/modules ] || exit 0
[ "$VERBOSE" != no ] && echo "Calculating module dependencies ..."
depmod -Ae
@@ -15,3 +18,5 @@ do
modprobe $module $args
done
[ "$VERBOSE" != no ] && echo
+
+exit 0 \ No newline at end of file
diff --git a/openssh/files/init b/openssh/files/init
index e69de29bb2..b16cbd61a6 100644
--- a/openssh/files/init
+++ b/openssh/files/init
@@ -0,0 +1,88 @@
+#! /bin/sh
+set -e
+
+# /etc/init.d/ssh: start and stop the OpenBSD "secure shell" daemon
+
+test -x /usr/sbin/sshd || exit 0
+( /usr/sbin/sshd -\? 2>&1 | grep -q OpenSSH ) 2>/dev/null || exit 0
+
+if test -f /etc/default/ssh; then
+ . /etc/default/ssh
+fi
+
+check_for_no_start() {
+ # forget it if we're trying to start, and /etc/ssh/sshd_not_to_be_run exists
+ if [ -e /etc/ssh/sshd_not_to_be_run ]; then
+ echo "OpenBSD Secure Shell server not in use (/etc/ssh/sshd_not_to_be_run)"
+ exit 0
+ fi
+}
+
+check_privsep_dir() {
+ # Create the PrivSep empty dir if necessary
+ if [ ! -d /var/run/sshd ]; then
+ mkdir /var/run/sshd
+ chmod 0755 /var/run/sshd
+ fi
+}
+
+check_config() {
+ /usr/sbin/sshd -t || exit 1
+}
+
+check_keys() {
+ # create keys if necessary
+ if [ ! -f /etc/ssh/ssh_host_rsa_key ]; then
+ echo " generating ssh RSA key..."
+ ssh-keygen -q -f /etc/ssh/ssh_host_rsa_key -N '' -t rsa
+ fi
+ if [ ! -f /etc/ssh/ssh_host_dsa_key ]; then
+ echo " generating ssh DSA key..."
+ ssh-keygen -q -f /etc/ssh/ssh_host_dsa_key -N '' -t dsa
+ fi
+}
+
+export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"
+
+case "$1" in
+ start)
+ check_for_no_start
+ echo "Starting OpenBSD Secure Shell server: sshd"
+ check_keys
+ check_privsep_dir
+ start-stop-daemon -S -x /usr/sbin/sshd -- $SSHD_OPTS
+ echo "done."
+ ;;
+ stop)
+ echo -n "Stopping OpenBSD Secure Shell server: sshd"
+ start-stop-daemon -K -x /usr/sbin/sshd
+ echo "."
+ ;;
+
+ reload|force-reload)
+ check_for_no_start
+ check_keys
+ check_config
+ echo -n "Reloading OpenBSD Secure Shell server's configuration"
+ start-stop-daemon -K -s 1 -x /usr/sbin/sshd
+ echo "."
+ ;;
+
+ restart)
+ check_keys
+ check_config
+ echo -n "Restarting OpenBSD Secure Shell server: sshd"
+ start-stop-daemon -K -x /usr/sbin/sshd
+ check_for_no_start
+ check_privsep_dir
+ sleep 2
+ start-stop-daemon -S -x /usr/sbin/sshd -- $SSHD_OPTS
+ echo "."
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/ssh {start|stop|reload|force-reload|restart}"
+ exit 1
+esac
+
+exit 0
diff --git a/openssh/openssh_3.8p1.oe b/openssh/openssh_3.8p1.oe
index b33a60b48f..2e0c9d3319 100644
--- a/openssh/openssh_3.8p1.oe
+++ b/openssh/openssh_3.8p1.oe
@@ -62,7 +62,7 @@ if test "x$D" != "x"; then
else
addgroup sshd
adduser --system --home /var/run/sshd --no-create-home --disabled-password --ingroup sshd -s /bin/false sshd
- update-rc.d -s sshd defaults
+ update-rc.d sshd defaults
fi
}